Skip to main content
POST
/
api
/
v2
/
affiliate
/
aff-billing
/
payment-methods
Create payment method
curl --request POST \
  --url 'https://{domain}/api/v2/affiliate/aff-billing/payment-methods?api-key=' \
  --header 'Content-Type: application/json' \
  --data '
{
  "type": "string",
  "currency": "USD",
  "beneficiary_name": "string",
  "beneficiary_address": "string",
  "beneficiary_city": "string"
}
'
{
  "status": "success",
  "code": 200,
  "name": "OK",
  "message": "<string>",
  "info": {
    "payment-method": {}
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.scaleo.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

api-key
string
query
required

API key passed as query parameter. User must have api_status enabled.

Body

application/json
type
string

Payment method type (e.g. wire, paypal, payoneer).

currency
string

Currency code.

beneficiary_name
string
beneficiary_address
string
beneficiary_city
string
beneficiary_country
string
beneficiary_postcode
string
bank_name
string
bank_address
string
bank_country
string
account_number
string
swift
string
iban
string
paypal_email
string
notes
string

Response

Created payment method.

status
string
Example:

"success"

code
integer
Example:

200

name
string
Example:

"OK"

message
string
info
object